Package opennlp.tools.cmdline.sentiment

# Class SentimentTrainerTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>
opennlp.tools.cmdline.AbstractTrainerTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>
opennlp.tools.cmdline.sentiment.SentimentTrainerTool

public class SentimentTrainerTool extends opennlp.tools.cmdline.AbstractTrainerTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>
Class for helping train a sentiment analysis model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentimentTrainerTool()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHelp()`
  Returns the help message
  `String`
  `getShortDescription()`
  Returns the short description of the programme
  `void`
  `run(String format, String[] args)`
  Runs the trainer

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentimentTrainerTool

    public SentimentTrainerTool()
    Constructor

- ## Method Details

  - ### run

    public void run(String format, String[] args)
    Runs the trainer
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>`
    Parameters:
      `format` - the format to be used
      `args` - the arguments

  - ### getHelp

    public String getHelp()
    Returns the help message
    Overrides:
      `getHelp` in class `opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.params.TrainingToolParams>`
    Returns:
      the message

  - ### getShortDescription

    public String getShortDescription()
    Returns the short description of the programme
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      the description